#!/usr/bin/env python

from pathlib import Path

from dunamai import Version
from setuptools import find_packages, setup

cwd = Path(__file__).absolute()

readme = open("README.md").read()
install_requires = [
    x.strip() for x in open("requirements.txt").readlines() if x.strip() != ""
]

setup(
    author="Peter Yuen",
    author_email="ppeetteerrsx@gmail.com",
    python_requires=">=3.5",
    description="An extension API to make pandas smart.",
    install_requires=install_requires,
    license="MIT license",
    long_description=readme,
    long_description_content_type="text/markdown",
    include_package_data=True,
    keywords="smart_pandas",
    name="smart_pandas",
    packages=find_packages(
        include=["smart_pandas", "smart_pandas.*"],
        exclude=["docs"],
    ),
    package_data={
        "": ["*.txt"],
    },
    test_suite="tests",
    url="https://github.com/ppeetteerrs/smart_pandas",
    version=Version.from_any_vcs().serialize(),
    zip_safe=False,
    options={"bdist_wheel": {"universal": True}},
)
